<template>
    <div class="col-md-8">
        <form>
            <h1>Add Feedback</h1>
            <div class="form-group">
                <label>Name</label>
                <input type="text" class="form-control" v-model="feedback.name">
                <div v-if="feedback.name == ''">
                    <p>{{errors}}</p>
                </div>
            </div>
            <div class="form-group">
                <label>Phone</label>
                <input type="text" class="form-control" v-model="feedback.phone">
                <div v-if="feedback.phone == ''">
                    <p>{{errors}}</p>
                </div>
            </div>
            <div class="form-group">
                <label>Message</label>
                <input type="text" class="form-control" v-model="feedback.message">
                <div v-if="feedback.message == ''">
                    <p>{{errors}}</p>
                </div>
            </div>
            <button @click.prevent="addFeedback()" class="btn btn-primary">Submit</button>
        </form>
    </div>

</template>

<style>
     .form-group p{
         color: red;
         font-size: 12px;
     }
</style>

<script>
    export default {
        data(){
            return{
                feedbacks: [],
                errors: '',
                feedback: {
                    name: '',
                    phone: '',
                    message: ''
                },

            }
        },
        methods: {
            addFeedback(){
                var input = this.feedback;
                axios.post('/feedback', input)
                    .then(response => {
                        location.reload()
                    })
                    .catch(error => {
                        this.errors = error.response.data.message
                    });

            }
        }
    }
</script>
